h1 {
  font-size: 22pt;
  color:#e17e0b;
  font-family: OpenSans;
  font-weight: bold;
}

h2 {
  font-size: 18pt;
  color:#e17e0b;
  font-family: OpenSans;
}

h3 {
  font-size: 16pt;
  color:#e17e0b;
  font-family: OpenSans;
}

h4 {
  font-size: 10pt;
  color:#e17e0b;
  font-family: OpenSans;
}

a {
  color:rgb(100, 123, 124)
}

p, ul, ol, li {
  font-size: 12pt;
  color:#e17e0b;
  font-family: OpenSans;
  font-weight: normal;
}

html, body {
  height: 100%;
  display: flex;
  flex-direction: column;
  max-width: 100%;
  overflow-x: hidden;
  background-color: bisque;
  margin: 0;
  padding: 0;
}

body.fullscr {
  text-align: center;
  border:0px;
  background: #231F20;
  padding: 0px;
  margin: 0;
}

body.nofullscr {
  text-align: center;
  border:0px;
  padding: 0pt;
  margin: 0pt;
}

#unity-canvas {
  position: relative;
}

/*
#loading-text { width: 100%; text-align: center; font-size: 20pt; font-weight: bold; color:antiquewhite; }
#unity-progress-bar-empty { width: 141px; height: 18px; margin-top: 10px; background: url('../icons/progress-bar-empty-dark.png') no-repeat center }
#unity-progress-bar-full { width: 0%; height: 18px; margin-top: 10px; background: url('../icons/progress-bar-full-dark.png') no-repeat center }
#unity-loading-bar { position: absolute; left: 50%; top: 50%; transform: translate(-50%, -50%); display: none }
*/
#unity-loading-bar {
  display: flex;
  flex-direction: column;
  align-items: center;
}

#loading-text {
  text-align: center;
  font-size: 20pt;
  font-weight: bold;
  color: antiquewhite;
  margin-bottom: 10px;
}

#unity-progress-bar-empty {
  width: 141px;
  height: 18px;
  background: url('../icons/progress-bar-empty-dark.png') no-repeat center;
}

#unity-progress-bar-full {
  width: 0%;
  height: 18px;
  background: url('../icons/progress-bar-full-dark.png') no-repeat center;
}

.middle-div {
  width: 1000px;
  border-top: 0px;
  border-bottom: 0px;
  border-left: 2px solid rgb(253, 217, 173);
  border-right: 2px solid rgb(253, 217, 173);
  margin-top: 0;
  margin-bottom: 0;
  margin-left: auto;
  margin-right: auto;
  background-color: rgb(254, 224, 188);
  flex-grow: 1; /* This line makes the middle div take up the remaining space */
}

@media (max-width: 1000px) {
  .middle-div {
    width: 100%;
    border-left: 0px;
    border-right: 0px;
  }
}

.text-div {
  text-align: left;
  padding-left: 15pt;
  padding-right: 15pt;
}

/* Game Element */
/* Base styles for any screen size */
.game-element {
  border: 1px solid #000; /* Adjust the border styling as needed */
  border-color: rgb(246, 177, 93);
  margin-bottom: 20px; /* Space between game elements */
  width: 90%; /* Width of the game element on desktop */
  max-width: 1200px; /* Maximum width to ensure the layout does not stretch too wide on larger screens */
  margin-left: auto; /* Center the game element horizontally */
  margin-right: auto;
  padding: 10px; /* Add padding inside the game element to create space around contents */
  background-color: bisque;
}

.game-div {
  display: flex;
  flex-direction: row;
  align-items: flex-start; /* Align items at the start to prevent space under the image */
  width: 100%; /* Width of the game element on desktop */
  padding: 10px; /* Add padding inside the game element to create space around contents */
}

.game-image img {
  max-width: 700px; /* Maximum image width */
  width: 100%; /* Make the image responsive */
  height: auto;
  display: block; /* Make the image a block element to remove space below */
  margin-right: 20px; /* Space between the image and the description */
}

.game-buttons {
  flex-grow: 1;
  padding: 0 10px; /* Add padding to the left and right of the description */
  width: 40%;
}

.in-game-buggons {
  flex-grow: 1;
  padding: 0 10px; /* Add padding to the left and right of the description */
  width: 100%;
}

.game-description {
  text-align: justify;
  padding-left: 10pt;
  padding-right: 10pt;
}

/* Styles for mobile devices */
@media (max-width: 812px) {
  .game-element {
      width: 95%; /* Width of the game element on mobile */
  }

  .game-div {
    flex-direction: column;
    padding: 0px;
  }

  .game-image img {
      margin-right: 0; /* Reset margin-right for mobile since the description moves below */
      margin-bottom: 10px; /* Space between the image and the description on mobile */
  }

  .game-buttons {
      width: 100%;
      justify-content: center;
      align-items: center;
      padding: 0; /* Reset padding for the description on mobile for full-width usage */
  }

  .in-game-buggons {
    justify-content: center;
    align-items: center;
    padding: 0; /* Reset padding for the description on mobile for full-width usage */
  }
}
